<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEGridViewCode
</#ibiztemplate>
/**
 * 数据表格部件服务对象
 * 
 * @export
 * @class ${srfclassname('${ctrl.name}')}Service
 * @extends { IBizGridService }
 */
export class ${srfclassname('${ctrl.name}')}Service extends IBizGridService {

    /**
     * Creates an instance of ${srfclassname('${ctrl.name}')}Service.
     * 创建 ${srfclassname('${ctrl.name}')}Service 实例
     * 
     * @param {*} [opt={}] 
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    constructor(opt: any = {}) {
        super(opt);
        this.$limit = ${ctrl.getPagingSize()};
        this.$isEnablePagingBar= ${ctrl.isEnablePagingBar()?c};
        this.$multiSelect =  <#if !ctrl.isSingleSelect()>true<#else>false</#if>;
        this.$isEnableRowEdit = <#if ctrl.isEnableRowEdit()>true<#else>false</#if>;
        <#assign gridhandler = view.getPSControl("GRID").getPSAjaxControlHandler()>
        this.$maxExportRow = <#if gridhandler?? && gridhandler.getPSDEDataExport()??>${gridhandler.getPSDEDataExport().getMaxRowCount()?c}<#else>${sys.getDEDataExportMaxRowCount()?c}</#if>;
    }
  
    /**
     * 注册表头
     * 
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    public regColumns(): void {
        <#list columns as column>
        this.regColumn(${column.code});
        </#list>
    }
    <#comment><!--开始：启用行编辑--></#comment>
    <#if ctrl.isEnableRowEdit()>

    /**
     * 注册表格所有编辑项 (启用编辑后的数据项)
     *
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    public regEditItems(): void {
        <#list ctrl.getPSDEGridEditItems() as item>
        this.regEditItem({ name: '${item.getName()?lower_case}', enabledcond: ${item.getEnableCond()}, styleCss: { height: '100%', width: '<#if item.getPSDEGridColumn()??><#assign column = item.getPSDEGridColumn()><#if (column.getWidth() gt 16) && (column.getWidthUnit() == 'PX')>${(column.getWidth()-16)?c}px<#else>100%</#if><#else>100%</#if>' } });
        </#list>
    }
    </#if>
    <#comment><!--结束：启用行编辑--></#comment>
  }